<?php

/**

* @version		1.1

* @package		DJ Classifieds

* @subpackage	DJ Classifieds Component

* @copyright	Copyright (C) 2010 Blue Constant Media LTD, All rights reserved.

* @license		http://www.gnu.org/licenses GNU/GPL

* @autor url    http://design-joomla.eu

* @autor email  contact@design-joomla.eu

* @Developer    Lukasz Ciastek - lukasz.ciastek@design-joomla.eu

* 

* 

* DJ Classifieds is free software: you can redistribute it and/or modify

* it under the terms of the GNU General Public License as published by

* the Free Software Foundation, either version 3 of the License, or

* (at your option) any later version.

*

* DJ Classifieds is distributed in the hope that it will be useful,

* but WITHOUT ANY WARRANTY; without even the implied warranty of

* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the

* GNU General Public License for more details.

*

* You should have received a copy of the GNU General Public License

* along with DJ Classifieds. If not, see <http://www.gnu.org/licenses/>.

* 

*/

defined ('_JEXEC') or die('Restricted access');



jimport('joomla.application.component.view');





class DJClassifiedsViewAddItemPaypal extends JView



{



	function display()



	{

		global $mainframe;



		$model =& $this->getModel();	    

		$par =& $mainframe->getParams('com_djclassifieds');

		$session_id = $model->randomkeys(12);

		$item=$model->getItem($session_id);

		$cat=$model->getCat($item->cat_id);

		$price=$cat->price;

						

		$this->assignRef('session_id',$session_id);

		$this->assignRef('item',$item);

		$this->assignRef('par',$par);

		$this->assignRef('price',$price);

		$this->assignRef('cat_name',$cat->name);



        parent::display();

	}



}









